get-system-info(1)

NAME
get-system-info - obtains system information

SYNOPSIS
get-system-info [-c version | - -compatibility version]
get-system-info [-h | - -help]
get-system-info [-v | - -version]

DESCRIPTION
get-system-info obtains system information in machine-readable form. It is mainly intended for being used by System-Info(1).

ARGUMENTS
The following options are available:

-c version | - -compatibility version
    Request a certain version for the output. This option is to allow for future changes of get-system-info. Currently, the only available version is 0.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The get-system-info tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

get-system-info

LANGUAGE=de_AT get-system-info

LANGUAGE=nb get-system-info

get-system-info --version

SEE ALSO
System-Info(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh